Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType javaPortletType

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType (extension)
                     |
                     +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType (extension)
                          |
                          +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}entitledUIControlType (extension)
                               |
                               +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}backableControlType (extension)
                                    |
                                    +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}abstractPortletType (extension)
                                         |
                                         +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}javaPortletType (extension)

Properties
  This component is not nillable.

Model
  `<...
  backingFile = xs:string
  cacheExpires = xs:integer
  defaultMinimized = xs:boolean
  definitionId = xs:string
  definitionLabel = xs:string
  deleted = xs:boolean
  description = xs:string
  disabledClassifications = xs:string
  enabledClassifications = xs:string
  forkable = xs:boolean
  forkRender = xs:boolean
  forkRenderTimeout = xs:integer
  id = xs:string
  instanceId = xs:string
  markupName = xs:string
  offerRemote = xs:boolean
  orientation = xs:string
  packed = xs:boolean
  presentationClass = xs:string
  presentationId = xs:string
  presentationStyle = xs:string
  properties = xs:string
  renderCacheable = xs:boolean
  skeletonUri = xs:string
  tagName = xs:string
  title = titleType
  windowModeEnabled = xs:boolean>
  (meta*, (handlePortalEvent | handlePageFlowEvent | handleStrutsEvent | handleCustomEvent | handleEvent | handleNotificationEvent)* )
  </...>`

Nested Element Summary
`` | `handleCustomEvent`
`` | `handleEvent`
`` | `handleNotificationEvent`
`` | `handlePageFlowEvent`
`` | `handlePortalEvent`
`` | `handleStrutsEvent`
`metaType` | `meta`

Attribute Summary
`xs:string` | `backingFile`
`xs:integer` | `cacheExpires`
`xs:boolean` | `defaultMinimized`
`xs:string` | `definitionId`
`xs:string` | `definitionLabel`
`xs:boolean` | `deleted`
`xs:string` | `description`
`xs:string` | `disabledClassifications`
`xs:string` | `enabledClassifications`
`xs:boolean` | `forkable`
`xs:boolean` | `forkRender`
`xs:integer` | `forkRenderTimeout`
`xs:string` | `id`
`xs:string` | `instanceId`
`xs:string` | `markupName`
`xs:boolean` | `offerRemote`
`xs:string` | `orientation`
`xs:boolean` | `packed`
`xs:string` | `presentationClass`
`xs:string` | `presentationId`
`xs:string` | `presentationStyle`
`xs:string` | `properties`
`xs:boolean` | `renderCacheable`
`xs:string` | `skeletonUri`
`xs:string` | `tagName`
`titleType` | `title`
`xs:boolean` | `windowModeEnabled`

Attribute Detail

### backingFile

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### cacheExpires

Type:
  `xs:integer`

Use:
  `optional`

Form:
  `unqualified`

### defaultMinimized

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### definitionId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### definitionLabel

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### deleted

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### description

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### disabledClassifications

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### enabledClassifications

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### forkable

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### forkRender

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### forkRenderTimeout

Type:
  `xs:integer`

Use:
  `optional`

Form:
  `unqualified`

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### instanceId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### markupName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### offerRemote

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### orientation

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### packed

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### properties

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### renderCacheable

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### skeletonUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### tagName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `titleType`

Use:
  `optional`

Form:
  `unqualified`

### windowModeEnabled

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:complexType name="javaPortletType">
        <xs:complexContent>
          <xs:extension base="abstractPortletType">
            <xs:attribute name="offerRemote" type="xs:boolean"/>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation